locked
Marking the application as version-independent in the CabWiz INF file RRS feed

  • Question

  • Hi,

    I'm trying to get rid of the "This application was designed for an earlier version of WM" message upon application setup. I'm using CabWiz. The Designed for WinMobile 5 guide at http://msdn.microsoft.com/en-us/windowsmobile/dd569148.aspx states on page 6 that:

    Required: No version warnings during installation
    (...)
    This message can be avoided by updating the inf file as follows:
    BuildMax field (in the [CEDEVICE] section of the .inf file used to create the cab):
     - Passing a value of 0xE0000000 will disable the warning on all devices

    Now, I'm looking at the CabWiz reference at http://msdn.microsoft.com/en-us/library/ms938382.aspx and I see no BuildMax parameter under CEDevice. There's VersionMax, but its value is not a hex number. What's going on, please? Was BuildMax added in WM5? If so, where's it documented? Is the logo guide in error?
    Thursday, June 18, 2009 2:36 PM

Answers

  • AFAIK it was not added in WM but was repurposed. See this for more info. If you’re using VS to build a CAB you should have this line already – but check generated INF file.


    This posting is provided "AS IS" with no warranties, and confers no rights.
    Thursday, June 18, 2009 3:50 PM

All replies

  • AFAIK it was not added in WM but was repurposed. See this for more info. If you’re using VS to build a CAB you should have this line already – but check generated INF file.


    This posting is provided "AS IS" with no warranties, and confers no rights.
    Thursday, June 18, 2009 3:50 PM
  • I wrote the INF by hand, so it's not there. Anyway... if the CAB with BuildMax is used on an earlier version (e. g. PPC2003) - won't BuildMax get in the way?

    Thursday, June 18, 2009 4:28 PM